Attribute VB_Name = "modGame"
'
'  Wall of the Words is Copyright (c) 2008 Robson
'
'  This program is free software; you can redistribute it and/or modify
'  it under the terms of the GNU General Public License as published by
'  the Free Software Foundation; either version 2 of the License, or
'  (at your option) any later version.
'
'  This program is distributed in the hope that it will be useful, but
'  WITHOUT ANY WARRANTY; without even the implied warranty of
'  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'  General Public License for more details.
'
'  The license can be viewed at http://www.gnu.org/licenses/gpl.html
'
' all variables are declared
Option Explicit
Public bytLevel As Byte
Public bytTurnRetreat As Byte
Public bytMaxDamage As Byte
Public bytInitialWallPoints As Byte
Public bytBattlefieldWidth As Byte
Public bytBattlefieldHeight As Byte
Public bytEnemyFrequencyLow As Byte
Public bytEnemyFrequencyHigh As Byte
Public lngScore As Long
Public blnWonLevel As Boolean
Public lngLastScore As Long

Public Sub SetLevel(ByVal bytNewlevel As Byte)
    bytLevel = bytNewlevel
    intTurn = 1
    Select Case bytLevel
        Case 1
            bytBattlefieldWidth = 20
            bytBattlefieldHeight = 14
            bytTurnRetreat = 20
            bytMaxDamage = 3
            bytInitialWallPoints = 10
            bytEnemyFrequencyLow = 5
            bytEnemyFrequencyHigh = 10
        Case 2
            bytBattlefieldWidth = 21
            bytBattlefieldHeight = 15
            bytTurnRetreat = 50
            bytMaxDamage = 4
            bytInitialWallPoints = 7
            bytEnemyFrequencyLow = 4
            bytEnemyFrequencyLow = 8
        Case 3
            bytBattlefieldWidth = 22
            bytBattlefieldHeight = 16
            bytTurnRetreat = 75
            bytMaxDamage = 5
            bytInitialWallPoints = 4
            bytEnemyFrequencyLow = 3
            bytEnemyFrequencyLow = 6
    End Select
    frmMain.Caption = App.ProductName & " -- Level " & bytLevel & " of 3 / Turn " & intTurn & " of " & bytTurnRetreat & " / Score " & lngScore
End Sub

Public Sub NextLevel()
    blnWonLevel = False
    frmMain.Caption = App.ProductName & " -- Level " & bytLevel & " of 3 / Turn " & bytTurnRetreat & " of " & bytTurnRetreat & " / Score " & lngScore
    frmLevelUp.Show vbModal
    If bytLevel = 3 Then
        frmCredits.Show vbModal
        End
    Else
        lngLastScore = lngScore
        SetLevel bytLevel + 1
        modBattlefield.MakeLevel
        modGraphics.DrawBattlefield
    End If
End Sub
